**This file computes confidence intervals for certain outcomes of interest**
clear
clear matrix
set more off

cap run "/rdcprojects/mc1/mc00535/programs_organize/3.estimation/1.setup.do"
if _rc!=0 di in red "run 1.setup.do"
!mkdir /rdcprojects/mc1/mc00535/programs_organize/3.estimation/2.results/winlose/CIs/

di "$REPS REPS USED IN THESE CIs"
run "$dofiles/3.pscore.do" 1 ols 0 1 winlose_gt10 wild_off

local i=1
local vars "d_lnwkwage2_local d_lnwkwage2_local_hat d_lnwkwage2_nonlocal_hat d_lnwkwage2_outside_hat d_lnincw2_local_hat d_qd d_qd_hat d_lnrent2_hat d_lnvalue2_hat d_lnjobs_local d_lnjobs"
local K: word count `vars'
mat CI=J(`K',6,.)

mat rownames CI  = `vars'
foreach var of varlist `vars'{
 
wild_ci `var' $X, d(assigned_tract) reps($REPS) cluster(cg) alpha(.1)
mat CI[`i',1]=e(delt)
mat CI[`i',2]=e(ll)
mat CI[`i',3]=e(ul)

wild_bo_ci `var' $X, d(assigned_tract) reps($REPS) cluster(cg) alpha(.1)
mat CI[`i',4]=e(delt)
mat CI[`i',5]=e(ll)
mat CI[`i',6]=e(ul)

local ++i
}

drop _all

svmat CI
ren CI1 ols
ren CI2 ll
ren CI3 ul
ren CI4 bo
ren CI5 ll2
ren CI6 ul2

gen str names=""
local i=1
foreach name in `vars'{
	replace names="`name'" in `i'
	local ++i
}

order names
list
save "$winloseresults/CIs/CIs.dta", replace

